Delete a Data Source
API Overview
Use this API to delete information for a data source that has been added successfully.
API URL
POST Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/datasource/delete
For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.
Common Parameters (Headers)
| Parameter | Type | Required | Description |
|---|---|---|---|
| tenant-id | String | Yes | Tenant ID. Identifies the tenant that owns the resource. |
| user-id | String | Yes | User ID. Identifies the user performing this operation. |
Request Parameters
| Parameter | Type | Required | Maximum Length | Description | Example |
|---|---|---|---|---|---|
| datasourceId | String | Yes | 128 | Data source ID. | ds_123 |
Response Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
| success | Boolean | Yes | Whether the response succeeded. | true |
| code | String | Yes | API response code. | 200 |
| errorMsg | String | Yes | Error message. | Request successful |
| detailErrorMsg | String | Yes | Detailed error message. | |
| traceId | String | Yes | Trace ID for troubleshooting. | fdde6861bd554805998343f9ff2dcd70.292.16857691758642861 |
| data | Array | Yes | Response result. | true |